Bug 249556 - audio/forked-daapd: Update to 27.2
Summary: audio/forked-daapd: Update to 27.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mikael Urankar
URL: https://github.com/ejurgensen/forked-...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-09-23 21:38 UTC by daniel.engberg.lists
Modified: 2020-10-11 09:15 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (takumiiinn)


Attachments
Patch for forked-daapd (9.95 KB, patch)
2020-09-23 21:38 UTC, daniel.engberg.lists
no flags Details | Diff
Patch for forked-daapd v2 (9.91 KB, patch)
2020-09-24 22:42 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-09-23 21:38:55 UTC
Created attachment 218224 [details]
Patch for forked-daapd

Update forked-daapd to 27.2

Compile tested on FreeBSD 13.0-CURRENT #0 r364979 (AMD64)
Poudriere testport OK 12.1-RELEASE (amd64)
Comment 1 daniel.engberg.lists 2020-09-23 21:40:43 UTC
Reported here:
https://forums.freebsd.org/threads/port-and-pkg-for-forked-daapd-out-of-date.77090/

I've also asked for feedback as I'm not a user of this software.
Comment 2 Automation User 2020-09-23 23:18:37 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/193733329
Comment 3 Fernando Apesteguía freebsd_committer 2020-09-24 05:35:20 UTC
Q/A: You have defined USE_LDCONFIG, but this port does not install any shared objects.

lib/forked-daapd/forked-daapd-sqlext.so seems to be a plugin, not a shared library.

Thanks!
Comment 4 daniel.engberg.lists 2020-09-24 22:42:51 UTC
Created attachment 218268 [details]
Patch for forked-daapd v2

Remove USE_LDCONFIG, reported by fernape@
Comment 5 Automation User 2020-10-09 03:07:43 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/200107837
Comment 6 Mikael Urankar freebsd_committer 2020-10-11 09:14:29 UTC
Thanks!
Comment 7 commit-hook freebsd_committer 2020-10-11 09:15:11 UTC
A commit references this bug:

Author: mikael
Date: Sun Oct 11 09:14:13 UTC 2020
New revision: 552039
URL: https://svnweb.freebsd.org/changeset/ports/552039

Log:
  audio/forked-daapd: Update to 27.2

  PR:		249556
  Submitted by:	daniel.engberg.lists@pyret.net
  Approved by:	takumiiinn@gmail.com (maintainer timeout)

Changes:
  head/audio/forked-daapd/Makefile
  head/audio/forked-daapd/distinfo
  head/audio/forked-daapd/files/patch-dmap_common.h
  head/audio/forked-daapd/files/patch-ffmpeg4
  head/audio/forked-daapd/pkg-plist